Loading...
Searching...
No Matches
correlation.h File Reference
`#include "platform.h"`
`#include "functional.h"`
`#include "type_traits.h"`
`#include <math.h>`
`#include <stdint.h>`

Go to the source code of this file.

## Classes

struct | etl::private_correlation::correlation_traits< TInput, TCalc >
| Types for generic correlation. More...
struct | etl::private_correlation::correlation_traits< float, TCalc >
| Types for float correlation. More...
struct | etl::private_correlation::correlation_traits< double, TCalc >
| Types for double correlation. More...
struct | etl::private_correlation::correlation_type_statics< T >
struct | etl::correlation_type
class | etl::correlation< Correlation_Type, TInput, TCalc >
| Correlation. More...

## Namespaces

namespace | etl
namespace | etl::private_correlation
| Correlation Type.

## Variables

template<typename T>
ETL_CONSTANT bool | etl::private_correlation::correlation_type_statics< T >::Sample
template<typename T>
ETL_CONSTANT bool | etl::private_correlation::correlation_type_statics< T >::Population
template<bool Correlation_Type, typename TInput, typename TCalc>
ETL_CONSTANT int | etl::correlation< Correlation_Type, TInput, TCalc >::Adjustment